Get job workflow status

Prev Next
Get
/v1/JobWorkflow/Authorized/{jobId}/Status

Returns status information for the job workflow execution identified by the job ID.

Security
API Key: Authorization
Header parameter nameAuthorization

Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.

<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.

For details, read Request an access token.

Header parameters
X-Forwarded-Host
string

OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.

Path parameters
jobId
stringRequired

Unique ID of a job workflow submitted with a POST request. This ID is returned in a successful 202 response from the POST Run a job workflow request.

Example5b6a2c3d-91f0-4a6e-9f7b-1a2b3c4d5e6f
Responses
200

OK. Returns status information about the job workflow.

object
executionStatus
string

OPEN if the job is still running; otherwise CLOSED.

Valid values[ "OPEN", "CLOSED" ]
closeStatus
string | null

null while the job is still running. When the job is closed, contains the terminal status, such as COMPLETED, or a failure status.

startTimeStamp
string (date-time)

Timestamp when the job started.

closeTimeStamp
string (date-time) | null

null if the job is still running; otherwise the timestamp when the job ended.

401

Authentication error, for example, invalid OAuth token or X-Forwarded-Host value.

404

A job with the specified jobId could not be found.

500

Internal server error.